PHP-инклюдинг в Quantum Star

Дата публикации:
25.02.2008
Всего просмотров:
1012
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Quantum Star: Generations 0.x
Уязвимые версии: Quantum Star 0.7.2c, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "CONFIG[gameroot]" в сценариях server_request.php и qlib/smarty.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/server_request.php?CONFIG[gameroot]=[file]
http://[host]/qlib/smarty.inc.php?CONFIG[gameroot]=[file]

URL производителя: www.quantum-star.com/news.php

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA